SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001438SiT!configpublic2011-01-15 10:032013-01-05 16:14
ReporterTomse 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionwon't fix 
PlatformOSOS Version
Product VersionCurrent GIT 
Target Version3.90beta1Fixed in Version 
Summary0001438: config : target='_blank' for external sites
Descriptionit would be nice if we added a config page to enable/disable
external sites would be opened in a new tab/window / reusing the SiT window

enable : new window/tab when clicking external url
disable : reuse SiT window

this should probably be set on the users config page

TagsNo tags attached.
Attached Files

- Relationships
child of 0000863assignedivan [META] User preferences/config table 

-  Notes
User avatar (0003547)
paulh (administrator)
2011-02-08 11:35

Agree
User avatar (0003559)
kieran (administrator)
2011-02-08 17:59

target="_blank" is dealt with in different ways by different browsers. My feeling is that a config option seems overkill here, surely the user can open in a new window or tab if it's required?
User avatar (0004046)
ivan (administrator)
2011-06-18 13:09

Fixed for external links in incidents
User avatar (0004632)
ivan (administrator)
2013-01-05 16:11

In 3.90 there's a user config setting for this but it doesn't seem to have any effect yet.
User avatar (0004633)
ivan (administrator)
2013-01-05 16:14

Backed out of this (sorry), don't think it's all that useful and trying to reduce the workload for 3.90.

[master 2ba8203] Remove external_links_newwindow setting. Mantis 1438

- Issue History
Date Modified Username Field Change
2011-01-15 10:03 Tomse New Issue
2011-02-08 11:35 paulh Note Added: 0003547
2011-02-08 11:35 paulh Status new => confirmed
2011-02-08 13:52 ivan Relationship added child of 0000863
2011-02-08 13:52 ivan Target Version => 4.0
2011-02-08 17:59 kieran Note Added: 0003559
2011-02-10 18:10 ivan Assigned To => ivan
2011-02-10 18:10 ivan Status confirmed => assigned
2011-02-14 13:21 ivan Target Version 4.0 => 3.90beta1
2011-06-18 13:09 ivan Note Added: 0004046
2013-01-05 16:11 ivan Note Added: 0004632
2013-01-05 16:14 ivan Note Added: 0004633
2013-01-05 16:14 ivan Status assigned => resolved
2013-01-05 16:14 ivan Resolution open => won't fix
2013-01-05 16:14 ivan Status resolved => closed
2013-01-05 16:14 ivan Assigned To ivan =>


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker